<?php
/*
页面功能：对用户进入相关页面是否合法进行控制；
使用方法：在需要进行控制的面面开头请求该文件。
参数使用：权限顺序数组($_SESSION[Right])：
          Array ( [0] => -1 [1] => -1 [2] => -1 [3] => -1 [4] => -1 [5] => -1 [6] => -1 [7] => -1 [8] => -1 [9] => -1 ) 
		  上面的顺序与数据库对应值：
		  0—会计科目
		  1—现金流量
		  2—客户
		  3－个人
		  4—存货
		  5—供应商
		  6—部门
		  7—核算项目
		  8—账务维护
		  9－账务查询
*/

session_start();

//用户为空时转到登录页面并中止执行程序；
if($_SESSION[username]==""){
	echo '<script language="javascript" type="text/javascript">window.location.href="login.php";</script>';
	exit();
}

function setlocked($intRight,$pageTitle){
    //网页通用标题设置，$page_title 变量的接收位于“header.php”页面；
	global $page_title; //利用关键字global定义全局量；
	$page_title=$pageTitle;
	//如果未设置标题变量，则指定固定值；
	if(!isset($page_title)){
		$page_title="标题未设置—恩格会计管理系统";
	}
	//$intRight为－１时表示管理员权限限制，除此外，$intRight值正常显示；
	if($intRight==-1){//管理员权限限制；
		if($_SESSION[userid]!=="1001"){
			include("header.php");
			echo '<div align="center">
					  <table width="95%" height="20px" bgcolor="yellow">
					  <tr align="center">
					  <td>
						  <table>
						  <tr>
						  <td height="20px"><img src="picture/alert.gif" width="16" height="16" /></td>
						  <td height="20px">您的权限不够，无法正常显示本页内容。如有需要，请联系管理员。</td>
						  </tr>
						  </table>
					  </td>
					  </tr>
					  </table>
					  </div>';
			include("footer.php");
			exit();
		}
	}else{//非管理员权限限制；
		//对全局用户及权限会话的指定位于“loginCheck.php”页面；
		if($_SESSION[userid]=="1001" || $_SESSION[Right][$intRight]==0){
			//如果$pageTitle的值为“提示”，则直接抛出文字说明；
			if($pageTitle==""){
				echo 'Your permissions are not enough';
				exit();
			}
			include("header.php");
			echo '<div align="center">
				  <table width="95%" height="20px" bgcolor="yellow">
				  <tr align="center">
				  <td>
					  <table>
					  <tr>
					  <td height="20px"><img src="picture/alert.gif" width="16" height="16" /></td>
					  <td height="20px">您的权限不够，无法正常显示本页内容。如有需要，请联系管理员。</td>
					  </tr>
					  </table>
				  </td>
				  </tr>
				  </table>
				  </div>';
			include("footer.php");
			exit();
		}
	}
}
?>